<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jkcredit.invoice.hub.mapper.SearchInvoiceMapper">
    <resultMap id="baseResultMap"
               type="com.jkcredit.invoice.hub.model.po.searchInvoice.SearchInvoicePo">
        <id column="id" property="id"/>
        <result column="info" property="info"/>
        <result column="receive_time" property="receiveTime"/>
        <result column="plate_num" property="plateNum"/>
        <result column="vehicle_type" property="vehicleType"/>
        <result column="waybill_num" property="waybillNum"/>
        <result column="waybill_status" property="waybillStatus"/>
        <result column="waybill_start_time" property="waybillStartTime"/>
        <result column="waybill_end_time" property="waybillEndTime"/>
        <!--        <result column="is_search" property="isSearch"/>-->
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="activated" property="activated"/>
    </resultMap>

    <select id="getSearchInvoiceByNum" resultMap="baseResultMap">
        select * from h_search_invoice where waybill_num = #{num}
    </select>
</mapper>
